<?
if (!defined('_GNUBOARD_')) exit;

// 投票
function poll($skin_dir="basic", $po_id=false)
{
    global $config, $member, $g4;

    // 无法获取投票编码时获取最近最大编号
    if (empty($po_id)) 
    {
        $po_id = $config['cf_max_po_id'];
        if (empty($po_id))
            return "<!-- 获取投票编码错误！ -->";
    }

    ob_start();
    $poll_skin_path = "$g4[path]/skin/poll/$skin_dir";
    include_once ("$poll_skin_path/poll.skin.php");
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}
?>